# How to Setup Prisma ORM in Next.js 13 App Directory

In this article, you will learn how to set up and use Prisma ORM in the new Next.js 13 app directory. We'll cover everything from initializing Prisma to seeding the database with test data and applying migrations.

![How to Setup Prisma ORM in Next.js 13 App Directory](https://codevoweb.com/wp-content/uploads/2023/04/How-to-Setup-and-Use-Prisma-ORM-in-Next.js-13-App-Directory.webp)

## Topics Covered

- Setup the Next.js 13 Project
- Setup Prisma ORM
- Seeed the Database
- Instantiate the Prisma Client
- How to Use Prisma in React Server Component
- How to Use Prisma in Next.js 13 Route Handlers
    - Handle POST and GET Requests
    - Handle GET, PATCH, and DELETE Requests
- Make Requests in a Client-Side Component
- Add the Component to the Main Page
- Conclusion

Read the entire article here: [https://codevoweb.com/how-to-setup-prisma-orm-in-nextjs-13-app-directory/](https://codevoweb.com/how-to-setup-prisma-orm-in-nextjs-13-app-directory/)

